[Pkg-kde-commits] rev 1810 - in trunk/packages/qt-x11-free/debian: . patches

Christopher Martin chrsmrtn at costa.debian.org
Fri Sep 16 15:35:27 UTC 2005


Author: chrsmrtn
Date: 2005-09-16 15:35:26 +0000 (Fri, 16 Sep 2005)
New Revision: 1810

Added:
   trunk/packages/qt-x11-free/debian/patches/12_disable_includehints.dpatch
Modified:
   trunk/packages/qt-x11-free/debian/changelog
   trunk/packages/qt-x11-free/debian/patches/00list
Log:
New patch for 3.3.5 - disable the buggy includehints usage in 3.3.5.

Final changelog updates for build.


Modified: trunk/packages/qt-x11-free/debian/changelog
===================================================================
--- trunk/packages/qt-x11-free/debian/changelog	2005-09-16 15:17:37 UTC (rev 1809)
+++ trunk/packages/qt-x11-free/debian/changelog	2005-09-16 15:35:26 UTC (rev 1810)
@@ -3,6 +3,10 @@
   * New upstream release. Drop patches merged upstream, and sync those that
     remain.
 
+  * Add a patch disabling 3.3.5's new use of includehints, since the
+    implementation is still buggy and causing build problems for many
+    programs.
+
   +++ Changes by Christopher Martin:
 
   * Move documention from qt3-doc back to qt3-designer and qt3-linguist, since
@@ -24,7 +28,7 @@
 
   * Re-enable InterBase support, now that firebird2 has been built with gcc4.
 
- -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Fri, 16 Sep 2005 10:39:34 -0400
+ -- Debian Qt/KDE Maintainers <debian-qt-kde at lists.debian.org>  Fri, 16 Sep 2005 11:21:52 -0400
 
 qt-x11-free (3:3.3.4-8) unstable; urgency=low
 

Modified: trunk/packages/qt-x11-free/debian/patches/00list
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/00list	2005-09-16 15:17:37 UTC (rev 1809)
+++ trunk/packages/qt-x11-free/debian/patches/00list	2005-09-16 15:35:26 UTC (rev 1810)
@@ -7,6 +7,7 @@
 09_amd64_lib64
 10_arm_gcc4
 11_qt_rubberband
+12_disable_includehints
 14_fix_kmenu
 15_unify_declarations_glibc
 16_fix_opengl_check

Added: trunk/packages/qt-x11-free/debian/patches/12_disable_includehints.dpatch
===================================================================
--- trunk/packages/qt-x11-free/debian/patches/12_disable_includehints.dpatch	2005-09-16 15:17:37 UTC (rev 1809)
+++ trunk/packages/qt-x11-free/debian/patches/12_disable_includehints.dpatch	2005-09-16 15:35:26 UTC (rev 1810)
@@ -0,0 +1,41 @@
+#! /bin/sh -e
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt.orig/tools/designer/uic/form.cpp
++++ qt.patched/tools/designer/uic/form.cpp
+@@ -726,16 +726,7 @@
+ 		}
+ 		n2 = n2.nextSibling().toElement();
+ 	    }
+-        } else if ( n.tagName() == "includehints" ) {
+-            QDomElement n2 = n.firstChild().toElement();
+-            while ( !n2.isNull() ) {
+-                if ( n2.tagName() == "includehint" ) {
+-                    QString file = n2.firstChild().toText().data();
+-                    localIncludes += file;
+-                }
+-                n2 = n2.nextSibling().toElement();
+-            }
+-        }
++	}
+     }
+ 
+     // additional includes (local or global) and forward declaractions




More information about the pkg-kde-commits mailing list